"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("@testing-library/react");
const LineChart_1 = require("./LineChart");
const mockDataValues = [1000, -500, 500, 230];
const mockXAxisLabels = ['January', 'February', 'March', 'April'];
const mockTooltipMetricLabel = 'Page views';
describe('LineChart component', () => {
    it('mounts', () => {
        (0, react_1.render)((0, jsx_runtime_1.jsx)(LineChart_1.default, { dataValues: mockDataValues, xAxisLabels: mockXAxisLabels, tooltipMetricLabel: mockTooltipMetricLabel }));
        const chart = document.querySelector('canvas');
        expect(chart).toBeVisible();
        expect(chart).toHaveAccessibleName('Analytics line chart');
    });
});
